Mandriva Linux Security Advisory : w3c-libwww (MDVSA-2009:218-1)

Medium Nessus Plugin ID 40761


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability was found in xmltok_impl.c (expat) that with specially crafted XML could be exploited and lead to a denial of service attack.
Related to CVE-2009-2625 (CVE-2009-3720).

This update fixes this vulnerability.

Update :

Packages for 2008.0 are provided for Corporate Desktop 2008.0 customers


Update the affected w3c-libwww, w3c-libwww-apps and / or w3c-libwww-devel packages.

See Also

Plugin Details

Severity: Medium

ID: 40761

File Name: mandriva_MDVSA-2009-218.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2009/08/25

Modified: 2014/01/27

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:w3c-libwww, p-cpe:/a:mandriva:linux:w3c-libwww-apps, p-cpe:/a:mandriva:linux:w3c-libwww-devel, cpe:/o:mandriva:linux:2008.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/12/04

Reference Information

CVE: CVE-2009-3720

BID: 36097

MDVSA: 2009:218-1